curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook/profile/reels \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"success": true,
"reels": {
"0": {
"id": "UzpfSTEwMDA2MzY2OTQ5MTc0MzpWSzoxMDIwODMyNzkzODIwMDg5",
"post_id": "1530759742389661",
"creation_time": "2025-12-27T03:33:19.000Z",
"url": "https://www.facebook.com/reel/1020832793820089",
"view_count": 21000,
"feedback_id": "ZmVlZGJhY2s6MTUzMDc1OTc0MjM4OTY2MQ==",
"description": "Most people never reach their Mount Everest because they never define it.\n\n“Be successful” is not a mountain.\nIt’s just a direction.\n\nYour Mount Everest is the end goal.\n\nTo define it clearly, use a framework like SMART. Here’s what that might look like:\n\nSpecific:\nDefine the exact life you want, not just the next move.\n\nMeasurable:\nIncome, time freedom, control, impact. Put numbers to it.\n\nAchievable:\nBig enough to matter. Real enough to pursue.\n\nRelevant:\nAligned with your values and what you truly want to accomplish in life.\n\nTime-bound:\nA clear timeline to make it happen. No one ever made an “eventually” goal and stuck to it.\n\nA real Mount Everest sounds something like this:\n“I want to cash flow 100k/month before 2040 by focusing on RV parks and mobile homes so I can ensure financial freedom and spend more time on my hobbies and with family without the headache and constant stress of work.”\n\nThat’s the mountain.\nEverything else is just the path.\n\nDefine the end goal.\nThen work backward.",
"video_id": "1020832793820089",
"thumbnail": "https://scontent-bos5-1.xx.fbcdn.net/v/t15.5256-10/607253955_1279629873990508_8223627330795243697_n.jpg?stp=dst-jpg_p960x960_tt6&_nc_cat=109&ccb=1-7&_nc_sid=5fad0e&_nc_ohc=vh54CKl7MU4Q7kNvwFllX2V&_nc_oc=AdkW6ZJI1HQ2CUGyrNAC2mSO_NgFHG2FK74loO_9FCurmyc7JtmC1-4q7a1k5dzdBMs&_nc_zt=23&_nc_ht=scontent-bos5-1.xx&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&oh=00_AfteqZx-9jPBApzytXuIGh1SIZi42K6lJm_lJI3_h3sfDg&oe=698EDA19",
"play_time_in_ms": 80166,
"video_url": "https://video-bos5-1.xx.fbcdn.net/o1/v/t2/f2/m412/AQMQwlyJ3SL04ySrg56moM2o9XaGGC66aUpTP54bhsfgKmIDPcI2hozN_CGYxdawngPXo7B8DVnDQ0gSC2pRRXwIRJsFbT_gPRophAa75A.mp4?_nc_cat=103&_nc_sid=8bf8fe&_nc_ht=video-bos5-1.xx.fbcdn.net&_nc_ohc=TWWiBycP0tYQ7kNvwHUoQpp&efg=eyJ2ZW5jb2RlX3RhZyI6Inhwdl9wcm9ncmVzc2l2ZS5GQUNFQk9PSy4uQzMuMzYwLnN2ZV9zZCIsInhwdl9hc3NldF9pZCI6NDIzNTc0Mzg2MDAxODc5NCwiYXNzZXRfYWdlX2RheXMiOjQzLCJ2aV91c2VjYXNlX2lkIjoxMDEyNywiZHVyYXRpb25fcyI6ODAsInVybGdlbl9zb3VyY2UiOiJ3d3cifQ%3D%3D&ccb=17-1&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&_nc_zt=28&oh=00_Afvsx8BTQ64wrX9gwiyD4KECOCXmyaUOnbT4mKkzXkCAqg&oe=698EDE73&bitrate=224776&tag=sve_sd",
"music": {
"track_title": null
},
"author": {
"id": "100063669491743",
"name": "Pace Morby",
"is_verified": false,
"url": "https://www.facebook.com/pacemorby",
"image": "https://scontent-bos5-1.xx.fbcdn.net/v/t39.30808-1/255454150_435897101280118_3837292553331400103_n.jpg?stp=cp0_dst-jpg_s40x40_tt6&_nc_cat=1&ccb=1-7&_nc_sid=2d3e12&_nc_ohc=7T9yFnub-6gQ7kNvwGHxMed&_nc_oc=AdmEpFGmFNWCRUupM56eUgfUjbPh3P9gYVduTtG6Q4xyc6Lmidj5hK9CNCvwN_VohQI&_nc_zt=24&_nc_ht=scontent-bos5-1.xx&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&oh=00_Aft6qM2QZ3pGsiTf7glg2oISMnJXLykTITga9dgQgENOQA&oe=698EFB97"
}
}
},
"cursor": "AQHS6jE2JHfRBr9_TqAPohlHQYbPguEMUiQInma4y99MtZd4LO8-xvXRTwdHIttpMNCmaqrDQi5XlZW8k31ws6ROEA",
"next_page_id": "YXBwX2NvbGxlY3Rpb246cGZiaWQwN3I3amhBZkNXSDhRbW9OZzRSdWdMY2d6bXdldmhYWmlkVkRiZnNtRG1xbVhUckx6TlRyUTFzWDZGb1dSNDlZeWlzQ3U1U1pKOUJnWkp6VG5pNUU0Rjh4Sm5zM2lOWTNwaDk2d1Vs"
},
"credits_used": 1,
"endpoint": "facebook/profile/reels"
}Get public reels from a Facebook page, 10 at a time. Important: Pagination requires passing both next_page_id and cursor from the previous response.
curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook/profile/reels \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"success": true,
"reels": {
"0": {
"id": "UzpfSTEwMDA2MzY2OTQ5MTc0MzpWSzoxMDIwODMyNzkzODIwMDg5",
"post_id": "1530759742389661",
"creation_time": "2025-12-27T03:33:19.000Z",
"url": "https://www.facebook.com/reel/1020832793820089",
"view_count": 21000,
"feedback_id": "ZmVlZGJhY2s6MTUzMDc1OTc0MjM4OTY2MQ==",
"description": "Most people never reach their Mount Everest because they never define it.\n\n“Be successful” is not a mountain.\nIt’s just a direction.\n\nYour Mount Everest is the end goal.\n\nTo define it clearly, use a framework like SMART. Here’s what that might look like:\n\nSpecific:\nDefine the exact life you want, not just the next move.\n\nMeasurable:\nIncome, time freedom, control, impact. Put numbers to it.\n\nAchievable:\nBig enough to matter. Real enough to pursue.\n\nRelevant:\nAligned with your values and what you truly want to accomplish in life.\n\nTime-bound:\nA clear timeline to make it happen. No one ever made an “eventually” goal and stuck to it.\n\nA real Mount Everest sounds something like this:\n“I want to cash flow 100k/month before 2040 by focusing on RV parks and mobile homes so I can ensure financial freedom and spend more time on my hobbies and with family without the headache and constant stress of work.”\n\nThat’s the mountain.\nEverything else is just the path.\n\nDefine the end goal.\nThen work backward.",
"video_id": "1020832793820089",
"thumbnail": "https://scontent-bos5-1.xx.fbcdn.net/v/t15.5256-10/607253955_1279629873990508_8223627330795243697_n.jpg?stp=dst-jpg_p960x960_tt6&_nc_cat=109&ccb=1-7&_nc_sid=5fad0e&_nc_ohc=vh54CKl7MU4Q7kNvwFllX2V&_nc_oc=AdkW6ZJI1HQ2CUGyrNAC2mSO_NgFHG2FK74loO_9FCurmyc7JtmC1-4q7a1k5dzdBMs&_nc_zt=23&_nc_ht=scontent-bos5-1.xx&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&oh=00_AfteqZx-9jPBApzytXuIGh1SIZi42K6lJm_lJI3_h3sfDg&oe=698EDA19",
"play_time_in_ms": 80166,
"video_url": "https://video-bos5-1.xx.fbcdn.net/o1/v/t2/f2/m412/AQMQwlyJ3SL04ySrg56moM2o9XaGGC66aUpTP54bhsfgKmIDPcI2hozN_CGYxdawngPXo7B8DVnDQ0gSC2pRRXwIRJsFbT_gPRophAa75A.mp4?_nc_cat=103&_nc_sid=8bf8fe&_nc_ht=video-bos5-1.xx.fbcdn.net&_nc_ohc=TWWiBycP0tYQ7kNvwHUoQpp&efg=eyJ2ZW5jb2RlX3RhZyI6Inhwdl9wcm9ncmVzc2l2ZS5GQUNFQk9PSy4uQzMuMzYwLnN2ZV9zZCIsInhwdl9hc3NldF9pZCI6NDIzNTc0Mzg2MDAxODc5NCwiYXNzZXRfYWdlX2RheXMiOjQzLCJ2aV91c2VjYXNlX2lkIjoxMDEyNywiZHVyYXRpb25fcyI6ODAsInVybGdlbl9zb3VyY2UiOiJ3d3cifQ%3D%3D&ccb=17-1&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&_nc_zt=28&oh=00_Afvsx8BTQ64wrX9gwiyD4KECOCXmyaUOnbT4mKkzXkCAqg&oe=698EDE73&bitrate=224776&tag=sve_sd",
"music": {
"track_title": null
},
"author": {
"id": "100063669491743",
"name": "Pace Morby",
"is_verified": false,
"url": "https://www.facebook.com/pacemorby",
"image": "https://scontent-bos5-1.xx.fbcdn.net/v/t39.30808-1/255454150_435897101280118_3837292553331400103_n.jpg?stp=cp0_dst-jpg_s40x40_tt6&_nc_cat=1&ccb=1-7&_nc_sid=2d3e12&_nc_ohc=7T9yFnub-6gQ7kNvwGHxMed&_nc_oc=AdmEpFGmFNWCRUupM56eUgfUjbPh3P9gYVduTtG6Q4xyc6Lmidj5hK9CNCvwN_VohQI&_nc_zt=24&_nc_ht=scontent-bos5-1.xx&_nc_gid=1ZD5XXLZksDcdZrdUwoBng&oh=00_Aft6qM2QZ3pGsiTf7glg2oISMnJXLykTITga9dgQgENOQA&oe=698EFB97"
}
}
},
"cursor": "AQHS6jE2JHfRBr9_TqAPohlHQYbPguEMUiQInma4y99MtZd4LO8-xvXRTwdHIttpMNCmaqrDQi5XlZW8k31ws6ROEA",
"next_page_id": "YXBwX2NvbGxlY3Rpb246cGZiaWQwN3I3amhBZkNXSDhRbW9OZzRSdWdMY2d6bXdldmhYWmlkVkRiZnNtRG1xbVhUckx6TlRyUTFzWDZGb1dSNDlZeWlzQ3U1U1pKOUJnWkp6VG5pNUU0Rjh4Sm5zM2lOWTNwaDk2d1Vs"
},
"credits_used": 1,
"endpoint": "facebook/profile/reels"
}Documentation Index
Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
Use this file to discover all available pages before exploring further.
Facebook page URL
"https://www.facebook.com/pacemorby"
To paginate through to the next page. Must be used together with 'cursor' parameter.
"YXBwX2NvbGxlY3Rpb2......"
To paginate through to the next page. Must be used together with 'next_page_id' parameter.
"AQHSFZtzkBauSDHgy8y......"
Successful response
Key Response Fields:
reels[0].video_url: The URL of the videoreels[0].thumbnail: Thumbnail image URLreels[0].view_count: Number of viewsreels[0].play_time_in_ms: Video duration in millisecondscursor: Use for paginationnext_page_id: Use for pagination